repo/gentoo:master commit in: dev-python/virtualenv/
MichaŠGórny <[email protected]>
| Newsgroups | gmane.linux.gentoo.cvs |
|---|---|
| Message-ID | <1786243013.35903d662b708999d0a53626c76655e500de2052.mgorny@gentoo> |
commit: 35903d662b708999d0a53626c76655e500de2052
Author: Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Sun Aug 9 01:29:11 2026 +0000
Commit: Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Sun Aug 9 02:36:53 2026 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=35903d66
dev-python/virtualenv: Bump to 21.7.3
Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>
dev-python/virtualenv/Manifest | 2 +
dev-python/virtualenv/virtualenv-21.7.3.ebuild | 117 +++++++++++++++++++++++++
2 files changed, 119 insertions(+)
diff --git a/dev-python/virtualenv/Manifest b/dev-python/virtualenv/Manifest
index e50cc566d361..8ba20d870d67 100644
--- a/dev-python/virtualenv/Manifest
+++ b/dev-python/virtualenv/Manifest
@@ -2,3 +2,5 @@ DIST virtualenv-21.6.1.tar.gz 5526620 BLAKE2B a970f52b9a8ef5948ac0f2827ce9d2b724
DIST virtualenv-21.6.1.tar.gz.provenance 9508 BLAKE2B fa5122071df6df6435ad11f102bed2f85d5ebbaf8ab6056c2f2c66c1d3e8366692dadda375f2c39151abc413ec540169197730101ba3061dccec0cf2f7bd2668 SHA512 f5180591d1f4cca9bb5632ea2918437daf30c1deb91fac7676a783e5ee19ea424a6bac7fd3a8c6eddff7996ef6c1a4358746d92788cbd283a8abb579d745935e
DIST virtualenv-21.7.2.tar.gz 5525335 BLAKE2B a02267c4358caa116fb7b59c87b4e8f0e3b38392296545d658f608ea65fb92af9666cc90aa7eed1bf107e67f5cac0d631bd7e281efa5424fbfa41dcda3584165 SHA512 610b67c7c3074c8f2d2aa4c7efd2c6757d0ff8e892e5d803d3b9c7ac059c06715feb8f09c53b8196589a2d96ee8ece723504533d8a976f969e7a451244201951
DIST virtualenv-21.7.2.tar.gz.provenance 9602 BLAKE2B 1f16242571db7c0560c9b0afa2a59dea55ee67c5848df3417c3289606cc54b9b97675eb430ecf40ce4eab2469195facdb2ee8963c1a4fd70d5ea52cd26709f3f SHA512 18d1503a9925971ee5a79a830a780d655a72432d45307bc71078701bba054072e44ab5675ae7bdc9736314bc93c06147b5bfa5db2c14e8050359360ebd9a36f8
+DIST virtualenv-21.7.3.tar.gz 5525482 BLAKE2B e02882cec9b8b473422e5e7867d1873fe2b1621797eddc363bd50cbdba4b937bc51621b2535c6d6005c7101b78e6c441261ba5b21246b17a425742d105c1aecb SHA512 2b1d92e92b06e25b9b9b0cf75d04b778a05e0c0ae1dde5bc579580daa5e18253a5d9c6f8831889c6cfc7f105ebe45565ffb665b7e75c5401bc443614cec09eed
+DIST virtualenv-21.7.3.tar.gz.provenance 9712 BLAKE2B b5d5d6ecfe3048040d514076c4ce98c4264d9bf23b747650c8d1d9a9733a4ae7ec04238e3e4f4cd55c95e54ff7ef87398d8a7846c5a2e518a99dba465f8d9938 SHA512 096202812228391369b8d4d0f87095b99159abca2d2acb36ac5ba22278768385186f119299b46bcfa1e7ec6049ed0cd730b77a6286508fd2e5f195193b8c9830
diff --git a/dev-python/virtualenv/virtualenv-21.7.3.ebuild b/dev-python/virtualenv/virtualenv-21.7.3.ebuild
new file mode 100644
index 000000000000..e27fdf889329
--- /dev/null
+++ b/dev-python/virtualenv/virtualenv-21.7.3.ebuild
@@ -0,0 +1,117 @@
+# Copyright 1999-2026 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=hatchling
+PYPI_VERIFY_REPO=https://github.com/pypa/virtualenv
+PYTHON_TESTED=( python3_{12..15} )
+PYTHON_COMPAT=( "${PYTHON_TESTED[@]}" python3_{14..15}t )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="Virtual Python Environment builder"
+HOMEPAGE="
+ https://virtualenv.pypa.io/en/stable/
+ https://pypi.org/project/virtualenv/
+ https://github.com/pypa/virtualenv/
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~loong ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
+IUSE="test"
+RESTRICT="!test? ( test )"
+
+RDEPEND="
+ >=dev-python/distlib-0.3.7[${PYTHON_USEDEP}]
+ >=dev-python/filelock-3.24.2[${PYTHON_USEDEP}]
+ >=dev-python/platformdirs-3.9.1[${PYTHON_USEDEP}]
+ >=dev-python/python-discovery-1.4.2[${PYTHON_USEDEP}]
+
+ dev-python/ensurepip-pip
+ >=dev-python/ensurepip-setuptools-70.1
+ dev-python/ensurepip-wheel
+"
+# coverage is used somehow magically in virtualenv, maybe it actually
+# tests something useful
+BDEPEND="
+ dev-python/hatch-vcs[${PYTHON_USEDEP}]
+ test? (
+ ${RDEPEND}
+ $(python_gen_cond_dep '
+ dev-python/coverage[${PYTHON_USEDEP}]
+ >=dev-python/pip-22.2.1[${PYTHON_USEDEP}]
+ >=dev-python/pytest-mock-3.6.1[${PYTHON_USEDEP}]
+ dev-python/pytest-rerunfailures[${PYTHON_USEDEP}]
+ dev-python/pytest-timeout[${PYTHON_USEDEP}]
+ dev-python/pytest-xdist[${PYTHON_USEDEP}]
+ >=dev-python/setuptools-67.8[${PYTHON_USEDEP}]
+ dev-python/time-machine[${PYTHON_USEDEP}]
+ dev-python/wheel[${PYTHON_USEDEP}]
+ >=dev-python/packaging-20.0[${PYTHON_USEDEP}]
+ ' "${PYTHON_TESTED[@]}")
+ )
+"
+
+src_prepare() {
+ local PATCHES=(
+ # use wheels from ensurepip bundle
+ "${FILESDIR}/${PN}-21.5.1-ensurepip.patch"
+ )
+
+ distutils-r1_src_prepare
+
+ # workaround test failures due to warnings from setuptools-scm, sigh
+ echo '[tool.setuptools_scm]' >> pyproject.toml || die
+
+ # remove useless pins
+ sed -i -e 's:,<[=0-9.]*::' pyproject.toml || die
+
+ # remove bundled wheels
+ rm src/virtualenv/seed/wheels/embed/*.whl || die
+}
+
+python_test() {
+ if ! has "${EPYTHON}" "${PYTHON_TESTED[@]/_/.}"; then
+ einfo "Skipping testing on ${EPYTHON}"
+ return
+ fi
+
+ local EPYTEST_DESELECT=(
+ tests/unit/seed/embed/test_bootstrap_link_via_app_data.py::test_seed_link_via_app_data
+ # tests for old wheels with py3.7 support
+ tests/unit/seed/embed/test_pip_invoke.py::test_base_bootstrap_via_pip_invoke
+ tests/unit/seed/wheels/test_wheels_util.py::test_wheel_not_support
+ # broken by different wheel versions in ensurepip
+ tests/unit/seed/wheels/test_acquire_find_wheel.py::test_find_latest_string
+ tests/unit/seed/wheels/test_acquire_find_wheel.py::test_find_exact
+ tests/unit/seed/wheels/test_acquire_find_wheel.py::test_find_latest_none
+ tests/unit/seed/wheels/test_acquire.py::test_download_wheel_bad_output
+ tests/unit/seed/wheels/test_wheels_util.py::test_embed_wheel_below_oldest_supported_is_missing
+ # hangs on a busy system, sigh
+ tests/unit/test_util.py::test_reentrant_file_lock_is_thread_safe
+ # TODO
+ tests/unit/create/via_global_ref/test_build_c_ext.py::test_can_build_c_extensions
+ # random resource leaks or xdist
+ tests/unit/test_file_limit.py::test_too_many_open_files
+ # Internet
+ tests/unit/create/test_creator.py::test_create_distutils_cfg
+ # we do not use bundled wheels
+ tests/unit/seed/wheels/test_bundle.py::test_every_wheel_on_disk_has_sha256
+ )
+
+ local -x TZ=UTC
+ local EPYTEST_PLUGINS=( pytest-{mock,rerunfailures} time-machine )
+ local EPYTEST_RERUNS=5
+ local EPYTEST_TIMEOUT=180
+ local EPYTEST_XDIST=1
+ epytest -o addopts=
+}
+
+src_install() {
+ distutils-r1_src_install
+
+ # remove bundled wheels, we're using ensurepip bundle instead
+ find "${ED}" -name '*.whl' -delete || die
+}